# Changelog

### Onegeo UI.

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased] - YYYY-mm-dd

### Added

### Changed

### Deprecated

### Removed

### Fixed

### Security

## [0.7.7] - 2023-05-05

-   require Datamodel >= 0.6.0

### Added

-   PageContext
-   Use Theme in Layout (and pages...)
-   options props in pages, index
-   customComponent to simplify extending theme in portal fork

### Fixed

-   Menu unique key

### Changed

-   Update @onegeo-suite/gatsby-plugin-auth to 0.2.3

## [0.7.6] - 2023-04-21

### Added

-   Hero options : carousel and images

### Fixed

-   Header logo size (header height = 64px (h-16) - Image height limit = 52px)

## [0.7.5] - 2023-04-13

### Changed

-   !! Change DataModel version (1.x to 0.x : 1.5.2 become 0.5.2, next is 0.6.0)
-   require Datamodel >= 0.5.0

## [0.7.4] - 2023-04-13

### Fixed

-   Hero component default oClass

## [0.7.3] - 2023-04-07

### Changed

-   Update @onegeo-suite/gatsby-plugin-auth to 0.2.2

## [0.7.2] - 2023-04-06

### Added

-   Hero add options.class
-   Menu fix check type 'page' / 'url', add target blank for external links

### Changed

-   Update @onegeo-suite/gatsby-plugin-auth to 0.2.1

## [0.7.1] - 2023-04-04

### Added

-   Added UserMenu by default (@onegeo-suite/gatsby-plugin-auth)
-   Added Datamodel version check

## [0.7.0] - 2023-04-03

### Added

-   Hero Tile (cf. options) - 2 components 'hero' / 'herotile'
-   Added card size "full" for tiles
-   Added options for iFrame
-   Added options for Text
-   Added options for Sections

## [0.6.3] - 2023-03-29

### Fixed

-   fix map

## [0.6.2] - 2023-03-22

### Added

-   package 'tailwind-merge'

### Fixed

-   Use 'tailwind-merge' for className

### Deprecated

-   package 'classix'

## [0.6.1] - 2023-03-21

### Fixed

-   Cards use < Figure > to fix image border rounded

## [0.6.0] - 2023-03-20

-   Init Changelog

### Added

-   Composant titleSection
-   Ajout d'une option pour le titre (divideTitle)

### Added

-   All !
