# Options

List of options available for components.

## Core Components

### Card

```
options : {
    inlineSVG
    class: {
        main
        figure
        image
        imageComponent
        body
        title
        description
    }
}
```

### iFrame

### TitleComponent

```
options : {
    divideTitle: bool
    class: {
        title: string
        divide: string
    }
}
```

-   "divideTitle": bool - affiche un titre sous forme -------------Titre---------------
-   "class": { "title": "text-secondary text-center" } - Class pour le titre
-   "class": { "divide": "bg-red-200" } - Class pour le diviseur

## Components

### Sections

### Hero

```
options : {
    size: xs | base | xl
    layout: card | tile
    carousel: {}
    image: {
        objectPosition: top | 50% 50%
    }
    card: {cf. card}
    class: {
        main
        mask
        body
        bodydiv
        title
        subtitle
        content
        action
        services
    }
}
```

### Maps

```
options : {
    theme
}
```

### News

```
options : {
    action
    actions
    card
    cards
    anime
    theme
    class: {
        main
        title
        actions
    }
}
```

### Data

### Text

```
options : {
    action
    class: {
        main
        title
        content
        action
    }
}
```
