import React from "react"

import { Content, Link, Maps } from "@onegeo-suite/gatsby-theme-onegeo"

const maps = () => {
    return (
        <Content>
            <div className="prose">
                <Link to="/doc">Retour</Link>

                <h1>Maps</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>{`
interface IMaps {
    layout?: "row" | "col" | "grid"
    size?: "xs" | "base" | "xl"
    limit?: number
}                        
                        
`}</code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <div className="m-4 flex gap-6">
                <Maps layout="row" size="xs" />
            </div>
        </Content>
    )
}

export default maps
